Bug 840188 - tmpfiles configuration file in wrong directory
tmpfiles configuration file in wrong directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 03:42 EDT by Eric Smith
Modified: 2012-09-17 17:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:53:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-14 03:42:48 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  Putting a configuration file in /etc/tmpfiles.d is a violation of the Fedora tmpfiles packaging guidelines and contrary to the intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Fedora Update System 2012-09-05 09:52:04 EDT
openvpn-2.2.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openvpn-2.2.2-7.fc18
Comment 2 Fedora Update System 2012-09-05 09:52:20 EDT
openvpn-2.2.2-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openvpn-2.2.2-7.fc17
Comment 3 Fedora Update System 2012-09-07 07:36:30 EDT
Package openvpn-2.2.2-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvpn-2.2.2-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13484/openvpn-2.2.2-7.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 13:53:49 EDT
openvpn-2.2.2-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-09-17 17:58:38 EDT
openvpn-2.2.2-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.